> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get network volume by interval

> Return payment counts and USD volumes in time buckets for the requested networks.



## OpenAPI

````yaml api-reference/data-api.json get /v1/network/volume
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/network/volume:
    get:
      tags:
        - Network Information
      summary: Get network volume aggregated by interval
      description: Returns a list of aggregated volumes for each network.
      operationId: getNetworkVolume
      parameters:
        - name: interval
          required: true
          in: query
          description: >-
            Width of each aggregation bucket in seconds (positive integer, e.g.
            `86400` for one day).
          schema:
            example: '86400'
            type: string
        - name: buckets
          required: true
          in: query
          description: Number of buckets to return (positive integer).
          schema:
            example: '24'
            type: string
        - name: networks
          required: true
          in: query
          description: Comma separated list of network ids
          schema:
            example:
              - ethereum
              - solana
            type: string
        - name: category
          required: false
          in: query
          description: Category, e.g. ibc
          schema:
            example: transfer
            type: string
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.